#include "GameOver.h"
#include "GameManager.h"
#include "WorldManager.h"
#include "Event.h"
#include "StepEvent.h"

GameOver::GameOver(string message) : TextMessage(message) {
	setType("GameOver");
	
	cooldown = 150;
	
	WorldManager &wm = WorldManager::getInstance();
	wm.registerInterest(this, STEP_EVENT);
}

GameOver::~GameOver() {
	WorldManager &wm = WorldManager::getInstance();
	wm.unregisterInterest(this, STEP_EVENT);
	
	GameManager &gm = GameManager::getInstance();
	gm.setGameOver(true);	
}

int GameOver::eventHandler(Event *e) {
	if(e->getType() == STEP_EVENT) {
		step();
		return 1;
	}
	
	return 0;
}

void GameOver::step() {
	cooldown--;
	if(cooldown >0)
		return;
	WorldManager &wm = WorldManager::getInstance();
	wm.markForDelete(this);
}