#include "GraphicsManager.h"
#include "LogManager.h"
#include "ResourceManager.h"

#include "TextMessage.h"

TextMessage::TextMessage(string message) {
	GraphicsManager &gm = GraphicsManager::getInstance();
	ResourceManager &resource_manager = ResourceManager::getInstance();
	LogManager &lm = LogManager::getInstance();
	Sprite *p_temp_sprite = resource_manager.getSprite(message);
	if (!p_temp_sprite) {
		lm.writeLog("TextMessage::TextMessage(): Warning! Sprite '%s' not found", message.c_str());
		return;
	}
	setSprite(p_temp_sprite);
  
	is_solid = false;

	altitude = 2;			// make in the forground
   
	// put in center of screen
	pos.setX(gm.getHorizontal()/2);
	pos.setY(gm.getVertical()/2);
}

TextMessage::~TextMessage() {

}
