#ifndef AI_H
#define AI_H

#include "GameObject.h"
#include "Event.h"
#include "NodeMap.h"

class AI: public GameObject {
	public:
		enum Difficulty { EASY = 150, MEDIUM = 75, HARD = 30 };
		enum Behavior { MINES, SWORD, HORSE, PIKE };
		
		AI(int player, Difficulty diff, NodeMap *newMap);
		~AI();
		
		int eventHandler(Event *e);
		
		void draw();
	private:
		int playerNumber;
		Difficulty difficulty;
		Behavior behavior;
		int decision_countdown;
		NodeMap *map;
		
		void step();
		
		void setBehavior();
		void takeMove();

		void makeMine();
		void makeSword();
		void makePike();
		void makeHorse();

		void moveUnits();
};
#endif //AI_H
