/*
	Box.h
	Written by Cordell Zebrose
	
	Box is a simple data structure for creating 2d boxes.
*/

#ifndef _BOX_H_
#define _BOX_H_

#include "Position.h"

class Box {
	protected:
		Position corner; // upper-left corner, default (0,0)
		int horizontal;  // width			 , default 0	
		int vertical;    // height			 , default 0
		
	public:
		// Create a box with the default values
		Box();
		// Create a box with the values sent to the arguments
		Box(Position new_corner, int new_horiz, int new_vert);
		
		~Box();
		
		// modify/get the Box properties
		void setCorner(Position new_corner);
		void setHorizontal(int new_horiz);
		void setVertical(int new_vert);
		Position getCorner();
		int getHorizontal();
		int getVertical();
};//Box

#endif //_BOX_H_
