/*
  CollisionEvent.h
  Written by Cordell Zebrose
  
  CollisionEvent is the Event created every time two solid Game Objects 
	collide.
*/

#ifndef _COLLISION_EVENT_H_
#define _COLLISION_EVENT_H_

#include "Event.h"
#include "Position.h"
#include "GameObject.h"

#define COLLISION_EVENT "collision"

class CollisionEvent : public Event {
	protected:
		Position pos;
		GameObject *p_obj1;
		GameObject *p_obj2;
		
		CollisionEvent();
		
	public:
		// CollisionEvent requires two Colliding Objects and a Position where it happened
		CollisionEvent(GameObject *p_o1, GameObject *p_o2, Position p);
		
		GameObject *getObj1();
		GameObject *getObj2();
		void setObj1(GameObject *p_new_obj1);
		void setObj2(GameObject *p_new_obj2);
		
		Position getPos();
		void setPos(Position new_pos);
};// CollisionEvent

#endif // _COLLISION_EVENT_H_
