/*
  GameObjectListIterator.h
  Written by Cordell Zebrose
  
  GameObjectListIterator handles iterating through a GameObjectList.
*/

#ifndef _GAME_OBJECT_LIST_ITER_H_
#define _GAME_OBJECT_LIST_ITER_H_

#include "GameObjectList.h"

// prototype, so that the two classes can mutually depend on each other
class GameObjectList;

class GameObjectListIterator {
	private:
		GameObjectListIterator(); // no default constructor
		
	protected:
		int index;			// current index in the list
		const GameObjectList *p_list;	// list iterating over
		
	public:
		~GameObjectListIterator();

		// create iterator over list argument
		GameObjectListIterator(const GameObjectList *p_L);
		
		void first();		// set index to first element
		void next();		// increment index
		bool isDone();		// return true when at end of list
		
		// Return pointer to current entry in list
		GameObject *currentObj();
}; // GameObjectListIterator

#endif //_GAME_OBJECT_LIST_ITER_H_
