/*
	InputManager.h
	Written by Cordell Zebrose
	
	InputManager handles all interaction between the game 
		and the input devices.
*/

#include "Manager.h"
#include <string.h>
#include <curses.h>

class InputManager : public Manager {
	private:
		// singleton implementation
		InputManager();
		InputManager(const InputManager &im);
		void operator=(const InputManager &im);
	
	public:
		~InputManager();
		
		// return the only instance of InputManager
		static InputManager &getInstance();
		
		// only allow KeyboardEvent and MouseEvent
		bool isValid(string event_name);
		
		// start up the InputManager
		int startup();
		
		// shutdown the InputManager
		void shutdown();
		
		// retrieve the input from the keyboard and
		// 		mouse.
		void getInput();
}; // InputManager
