/*
  MouseEvent.h
  Written by Cordell Zebrose
  
  MouseEvent is the Event created every time a mouse button is pressed.
*/

#ifndef _MOUSE_EVENT_H_
#define _MOUSE_EVENT_H_

#include "Event.h"

#define MOUSE_CLICK_EVENT "mouse"

enum MouseActionList {
	LEFT_BUTTON_CLICK,
	LEFT_BUTTON_DOUBLECLICK,
	RIGHT_BUTTON_CLICK,
	RIGHT_BUTTON_DOUBLECLICK,
	UNDEFINED
};

class MouseEvent : public Event {
	private:
		enum MouseActionList mouse_action;
		int mouse_x, mouse_y;

	public:
		MouseEvent();
		void setMouseAction(enum MouseActionList new_mouse_action);
		enum MouseActionList getMouseAction();
		void setMouseX(int new_x);
		void setMouseY(int new_y);
		int getMouseX();
		int getMouseY();
};// MouseEvent

#endif // _MOUSE_EVENT_H_
