/*  NodeMap is a GameObject
 *
 *
 */
 
#ifndef NODE_MAP_H
#define NODE_MAP_H

#include "GameObject.h"
#include "Node.h"
#include "Road.h"
#include "Event.h"
#include "KeyboardEvent.h"
#include "StepEvent.h"

#define PLAYER 1
#define NUM_PLAYERS 2

#define MAX_RESOURCES 9999
#define PASSIVE_RESOURCE_INCOME 2

#define STEP_SLOWDOWN 80

class NodeMap: public GameObject {
	private:
		Node ***map;
		Node *selectedNode;
		int nodeCount;
		int gridX;
		int gridY;
		int selectedX;
		int selectedY;
		
		int step_slowdown;
		int step_countdown;
		
		int resources[NUM_PLAYERS+1];
		
		Node::Unit selectedUnit;

		void kbd(KeyboardEvent *p_keyboard_event);
		void step();
	public:
		NodeMap(Node* new_selected, Node ***level, int count, int x, int y);
		~NodeMap();
		
		int eventHandler(Event *e);
		void draw();
		
		int getMapX();
		int getMapY();
		Node ***getMap();

		bool checkGameOver();
		
		int getOwnedNodes(int player, Node **&nodeMap);
		
		// arguments: player - index for the player, if accessing the player's resources pass PLAYER,
		//					 -	otherwise pass a number from 0-NUM_PLAYERS exclusive
		int getResources(int player);
		void setResources(int player, int new_resource);
		void giveResources(int player, int num_resources);
		// return: true if resources were taken, and false if there weren't enough resources
		bool takeResources(int player, int num_resources);
};
#endif //NODE_MAP_H
