/*
  Position.h
  Written by Cordell Zebrose
  
	Position stores a GameObject's location in 2d space
*/

#ifndef _POSITION_H_
#define _POSITION_H_

class Position {
	protected:
		// object's (x,y) location is 2d space
		int x;
		int y;
		
	public:
		// make a Position at location x,y
		Position(int init_x, int init_y);
		
		// create a default Position at 0,0
		Position();
		
		~Position();
		
		// get the location
		int getX();
		int getY();
		
		// modify the location
		void setX(int new_x);
		void setY(int new_y);
}; // Position

#endif //s_POSITION_H_
