/*
  Sprite.h
  Written by Cordell Zebrose
  
  Sprite is a structure to contain the data for 
	an animated sprite.
	
*/

#ifndef _SPRITE_H_
#define _SPRITE_H_

#include "Frame.h"

class Sprite {
	protected:
		int width;
		int height;
		int max_frame_count;
		int frame_count;
		int frame_index;
		int color;
		Frame *frame; // the array of Frames
		std::string label;
		
		Sprite();  // the Sprite constructor should 
					//	always have one arg
		
	public:
		// max_frames is just the maximum number of
		//		frames a Sprite can have.
		Sprite(int max_frames);
		
		// Returns the frame #'frame_number'
		//   i.e. 
		//		frame_number = 0 will return the first frame, 
		//		frame_number = 1 will return the second frame,
		//		etc...
		Frame getFrame(int frame_number);
		
		// same as getFrame(frame_index)
		Frame getFrame();
		
		// Add the new Frame to the end of the Sprite
		int addFrame(Frame new_frame);
		
		int getWidth();
		int getHeight();
		std::string getLabel();
		int getColor();
		int getFrameCount();
		int getFrameIndex();
		
		void setWidth(int new_width);
		void setHeight(int new_height);
		void setLabel(std::string new_label);
		void setColor(int new_color);
		void setFrameIndex(int new_frame_index);
};// OutEvent

#endif // _OUT_EVENT_H_
