/*
  Frame.cpp
  Written by Cordell Zebrose
  
  Frame is a structure for holding the contents of a
	single frame of animation.
*/
#include "Frame.h"

/////////////////////////////////////////////////////////////////

// create an empty frame, usually used for errors
Frame::Frame() {
	width = -1;
	height = -1;
	frame_str = "";
}//Frame

////////////////////////////////////////////////////////////////

// arguements:  new_width - the new frame's width
//				new_height - the new frame's height
//				frame_str - the characters in the frame as a string
//							the rows of the frame are just appended 
//							together.
// set up a new frame
Frame::Frame(int new_width, int new_height, std::string new_frame_str) {
	width = new_width;
	height = new_height;
	frame_str = new_frame_str;
}// Frame

//////////////////////////////////////////////////////////////////

// getters & setters for Frame's fields
int Frame::getWidth() {
	return width;
}// getWidth

void Frame::setWidth(int new_width) {
	width = new_width;
}// setWidth

int Frame::getHeight() {
	return height;
}// getHeight

void Frame::setHeight(int new_height) {
	height = new_height;
}// setHeight

std::string Frame::getString() {
	return frame_str;
}// getString

void Frame::setString(std::string new_frame_str) {
	frame_str = new_frame_str;
}// setString
